{ config, lib, ... }:
{
  services.nginx.virtualHosts = lib.mkIf config.system.server.enable {
    "www.${config.domains.p2}" = {
      enableACME = true;
      addSSL = true;
      root = "/var/www/landing-page";
    };
    "${config.domains.p2}" = {
      enableACME = true;
      addSSL = true;
      globalRedirect = "www.${config.domains.p2}";
    };
  };
}
